Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4778 - Cannot run setterm from rc.local
Summary: Cannot run setterm from rc.local
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-30 08:23 UTC by giulioo
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-20 20:36:11 UTC


Attachments (Terms of Use)

Description giulioo 1999-08-30 08:23:53 UTC
Stock rh60.

Problem:
Cannot use certain commands in rc.local due to initlog
output redirection.

We switched from caldera to rh.
We used to put "/usr/bin/setterm -blank 0 " in rc.local to
avoid console blanking.
This doesn't work in rh6 because:
1) setterm does its jobs via some control chars it sends to
the screen
2) rc.local is executed through action/initlog which does
something weird with output.
3) in init.d/funcions: INITLOG_ARGS="-q", -q is an
undocumented initlog switch (at least in the initlog man
page)

To solve this I had to put:
--
# (daemon
--
somewhere in rc.local, so that rc runs it directly instead
of through action/initlog.
rc does
--
 if egrep -q "(daemon |action )" $i ; then
--
to decide how to run a script; by putting "(daemon" in
rc.local I made rc to run rc.local as
rc.local start
instead of
action "bla bla" rc.local start

This way "setterm" does its job ok.

Regards.

Comment 1 Bill Nottingham 1999-09-20 20:36:59 UTC
fixed in initscripts-4.44-1; rc.local is not run through initlog
any more.


Note You need to log in before you can comment on or make changes to this bug.